| The Gaudi Framework v32r1 (f65d50dc)

Namespaces | Classes | Typedefs | Functions
Gaudi::Functional Namespace Reference

## Namespaces
| details
| Traits

## Classes
struct | ListTransformer
struct | MergingMultiTransformer
struct | MergingMultiTransformer< std::tuple< Outs... >(vector_of_const_< In > const &), Traits_ >
class | MultiScalarTransformer
class | MultiScalarTransformer< ScalarOp, std::tuple< Out... >(const In &...), Traits_ >
class | ScalarTransformer
class | ScalarTransformer< ScalarOp, Out(const In &...), Traits_ >

## Typedefs
template<typename Signature , typename Traits_ = Traits::useDefaults>
using | Consumer = details::Consumer< Signature, Traits_, details::isLegacy< Traits_ > >
template<typename Container >
using | vector_of_ = details::template vector_of_const_< Container >
template<typename Signature , typename Traits_ = Traits::useDefaults>
using | MergingTransformer = details::MergingTransformer< Signature, Traits_, details::isLegacy< Traits_ > >
template<typename Signature , typename Traits_ = Traits::useDefaults>
using | Producer = details::Producer< Signature, Traits_, details::isLegacy< Traits_ > >
template<typename Container >
using | vector_of_optional_ = std::vector< std::optional< Container > >
template<typename Signature , typename Traits_ = Traits::useDefaults>
using | SplittingTransformer = details::SplittingTransformer< Signature, Traits_, details::isLegacy< Traits_ > >

## Functions
std::string | concat_alternatives (std::initializer_list< std::string > c)
template<typename... Strings>
std::string | concat_alternatives (const Strings &... s)
void | updateHandleLocation (IProperty &parent, const std::string &prop, const std::string &newLoc)
void | updateHandleLocations (IProperty &parent, const std::string &prop, const std::vector< std::string > &newLocs)

## Typedef Documentation

## ◆ Consumer

template<typename Signature , typename Traits_ = Traits::useDefaults>

using Gaudi::Functional::Consumer = typedef details::Consumer<Signature, Traits_, details::isLegacy<Traits_> >

Definition at line 58 of file Consumer.h.

## ◆ MergingTransformer

template<typename Signature , typename Traits_ = Traits::useDefaults>

using Gaudi::Functional::MergingTransformer = typedef details::MergingTransformer<Signature, Traits_, details::isLegacy<Traits_> >

Definition at line 139 of file MergingTransformer.h.

## ◆ Producer

template<typename Signature , typename Traits_ = Traits::useDefaults>

using Gaudi::Functional::Producer = typedef details::Producer<Signature, Traits_, details::isLegacy<Traits_> >

Definition at line 109 of file Producer.h.

## ◆ SplittingTransformer

template<typename Signature , typename Traits_ = Traits::useDefaults>

using Gaudi::Functional::SplittingTransformer = typedef details::SplittingTransformer<Signature, Traits_, details::isLegacy<Traits_> >

Definition at line 164 of file SplittingTransformer.h.

## ◆ vector_of_

template<typename Container >

using Gaudi::Functional::vector_of_ = typedef std::vector<Container>

Definition at line 9 of file ListTransformer.h.

## ◆ vector_of_optional_

template<typename Container >

using Gaudi::Functional::vector_of_optional_ = typedef std::vector<std::optional<Container> >

Definition at line 17 of file SplittingTransformer.h.

## Function Documentation

## ◆ concat_alternatives() [1/2]

std::string Gaudi::Functional::concat_alternatives | ( | std::initializer_list< std::string > | c | ) |
| inline

Definition at line 17 of file FunctionalUtilities.h.

17 {
18 return boost::algorithm::join( c, ":" );
19 }
gaudirun.c
c
Definition: gaudirun.py:487

## ◆ concat_alternatives() [2/2]

template<typename... Strings>

std::string Gaudi::Functional::concat_alternatives | ( | const Strings &... | s | ) |

Definition at line 22 of file FunctionalUtilities.h.

22 {
23 return concat_alternatives( std::initializer_list<std::string>{s...} );
24 }
Gaudi::Functional::concat_alternatives
std::string concat_alternatives(const Strings &... s)
Definition: FunctionalUtilities.h:22
gaudirun.s
string s
Definition: gaudirun.py:316
std::initializer_list

## ◆ updateHandleLocation()

void Gaudi::Functional::updateHandleLocation | ( | IProperty & | parent,
|  | const std::string & | prop,
|  | const std::string & | newLoc
| ) |  |
| inline

Definition at line 27 of file FunctionalUtilities.h.

27 {
28 auto sc = parent.setProperty( prop, newLoc );
29 if ( sc.isFailure() ) throw GaudiException( "Could not set Property", prop + " -> " + newLoc, sc );
30 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:21
IProperty::setProperty
virtual StatusCode setProperty(const Gaudi::Details::PropertyBase &p)=0
Set the property by property.

## ◆ updateHandleLocations()

void Gaudi::Functional::updateHandleLocations | ( | IProperty & | parent,
|  | const std::string & | prop,
|  | const std::vector< std::string > & | newLocs
| ) |  |
| inline

Definition at line 34 of file FunctionalUtilities.h.

34 {
35 std::ostringstream ss;
36 GaudiUtils::details::ostream_joiner(
37 ss << '[', newLocs, ", ", []( std::ostream & os, const auto& i ) -> auto& { return os << "'" << i << "'"; } )
38 << ']';
39 auto sc = parent.setProperty( prop, ss.str() );
40 if ( sc.isFailure() ) throw GaudiException( "Could not set Property", prop + " -> " + ss.str(), sc );
41 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:21
IProperty::setProperty
virtual StatusCode setProperty(const Gaudi::Details::PropertyBase &p)=0
Set the property by property.
std::ostringstream
STL class.
std::ostringstream::str
T str(T... args)
GaudiUtils::details::ostream_joiner
Stream & ostream_joiner(Stream &os, Iterator first, Iterator last, Separator sep, OutputElement output=OutputElement{})
Definition: SerializeSTL.h:37
std::ostream
STL class.